package geometry.composition;

public class Point {

	private double x;
	private double y;
	
	public Point() {
		this(0, 0);
	}
	public Point(double x, double y) {
		this.x = x;
		this.y = y;
	}	
	
	public void setX(double x) {
		this.x = x;
	}
	public void setY(double y) {
		this.y = y;
	}
	public double getX()  {
		return x;
	}
	public double getY() {
		return y;
	}
	
	public String toString() {
		return "(" + x + ", " + y + ")";
	}
	public double distance(Point p) {
		return Math.sqrt(Math.pow(x-p.x, 2) + Math.pow(y-p.y, 2));
	}
}
