package geometry.composition;

public class TestPointComposition {
	public static void main(String [] args) {
		
		// Triangle: (0, 0), (3, 0), (3, 2)
		Point p1 = new Point(0, 0);
		Point p2 = new Point(3, 0);
		Point p3 = new Point(3, 2);		
		Triangle t = new Triangle(p1, p2, p3);				
		System.out.println("coordinates: " + t.toString()); 
		System.out.println("perimeter:   " + t.perimeter());		
				
		// Triangle: (-1, -1), (2, 1), (3, 3)
		Triangle r = new Triangle(new Point(-1, -1), new Point(2, 1), new Point(3, 3));
		System.out.println("coordinates: " + r.toString());
		System.out.println("a: " + r.getA().toString());
		System.out.println("b: " + r.getB().toString());
		System.out.println("c: " + r.getC().toString());
		
		// change point
		r.setA(new Point(-1, -2));
		System.out.println("coordinates: " + r.toString());
		
		// use points of r and t 
		// (distance between first vertex of r and t)
		double d = r.getA().distance(t.getA());
		System.out.println("distance: " + d);
	}

}
