package matrix.constructor;

public class Matrix {
	public double [][] elements;
	public int rows;
	public int cols;
	
	public Matrix(int nRows, int nCols) {
		rows = nRows;
		cols = nCols;		
		elements = new double[rows][cols];
	}
	
	public Matrix(int nRows, int nCols, double a, double b) {
		rows = nRows;
		cols = nCols;		
		elements = new double[rows][cols];	
		
		for(int i=0; i<rows; i++)
			for(int j=0; j<cols; j++)
				elements[i][j] = a + (b-a)*Math.random();
	}

}
