package geometry.methods;

import java.util.Scanner;

public class TestPoint2D_Methods {
	
	public static void readCoordinates(Point2D p) {
		Scanner sc = new Scanner(System.in);
		System.out.println("Reading coordinates: ");
		System.out.println("x? ");
		p.x = sc.nextDouble();
		System.out.println("y? ");
		p.y = sc.nextDouble();
	}
	
	public static void printCoordinates(Point2D p) {
		System.out.println("(" + p.x + ", " + p.y + ")");
	}
	
	public static double distance(Point2D a, Point2D b) {
		double distance;
		distance = Math.sqrt( Math.pow(a.x-b.x, 2) + Math.pow(a.y-b.y, 2) );
		return distance;
	}
	
	public static Point2D midPoint(Point2D a, Point2D b) {
		Point2D mid = new Point2D();
		mid.x = (a.x + b.x) / 2.0;
		mid.y = (a.y + b.y) / 2.0;
		return mid;				
	}
	
	public static void main(String [] args) {		
		Point2D p1 = new Point2D();
		readCoordinates(p1);		
		System.out.print("Point 1 at "); 
		printCoordinates(p1);
		
		Point2D p2 = new Point2D();
		readCoordinates(p2);
		System.out.print("Point 2 at "); 
		printCoordinates(p2);
		
		System.out.println("Distance: " + distance(p1, p2));
		
		Point2D m = midPoint(p1, p2);
		System.out.print("Midpoint at ");
		printCoordinates(m);
	}
}
